dbXML API

## org.dbxml.core.request
Class DbxmlStreamHandlerFactory

    java.lang.Object
      |
      +--org.dbxml.core.request.DbxmlStreamHandlerFactory

All Implemented Interfaces:
  java.net.URLStreamHandlerFactory

public class DbxmlStreamHandlerFactory
extends java.lang.Object
implements java.net.URLStreamHandlerFactory

This interface defines a factory for URL stream protocol handlers. It is used by the URL class to create a URLStreamHandler for a specific protocol.

Constructor Summary
`DbxmlStreamHandlerFactory()`

Method Summary
`java.net.URLStreamHandler` `createURLStreamHandler(java.lang.String protocol)` Creates an instance of an URLStreamHandler

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DbxmlStreamHandlerFactory

    public DbxmlStreamHandlerFactory()

Method Detail

### createURLStreamHandler

    public java.net.URLStreamHandler createURLStreamHandler(java.lang.String protocol)

  Creates an instance of an URLStreamHandler
  Specified by:
    `createURLStreamHandler` in interface `java.net.URLStreamHandlerFactory`

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved